package org.bench4q.monitor.service.linux;

import java.io.FileNotFoundException;
import java.io.IOException;

import org.bench4q.monitor.model.SystemModel;
import org.bench4q.monitor.performance.linux.SystemMonitor;

public class SystemServiceLinux {
	private SystemMonitor systemMonitor=new SystemMonitor();
	
	
	public SystemMonitor getSystemMonitor() {
		return systemMonitor;
	}


	public void setSystemMonitor(SystemMonitor systemMonitor) {
		this.systemMonitor = systemMonitor;
	}
	public SystemServiceLinux() throws FileNotFoundException{
		systemMonitor=new SystemMonitor();
	}
	public SystemModel getSystemInfo(int idleTime) throws IOException, InterruptedException{
		return systemMonitor.getSystemInfo(idleTime);
	}
	

}
